## Package org.apache.mahout.classifier.discriminative

Class Summary
LinearModel: Classifies a data point using a hyperplane.
LinearTrainer: Implementors of this class need to provide a way to train linear discriminative classifiers.
PerceptronTrainer: Implements training according to the perceptron update rule.
WinnowTrainer: This class implements training according to the winnow update algorithm.

Exception Summary
TrainingException: This exception is thrown in case training fails.

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.